Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class UserDescs

    java.lang.Object
      org.exist.soap.UserDescs

All Implemented Interfaces:
  java.io.Serializable

public class UserDescs
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UserDescs()`
`UserDescs(UserDesc[] elements)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`UserDesc[]` | `getElements()` Gets the elements value for this UserDescs.
`UserDesc` | `getElements(int i)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setElements(int i, UserDesc _value)`
`void` | `setElements(UserDesc[] elements)` Sets the elements value for this UserDescs.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDescs

    public UserDescs()

### UserDescs

    public UserDescs(UserDesc[] elements)

Method Detail

### getElements

    public UserDesc[] getElements()

  Gets the elements value for this UserDescs.

  Returns:
    elements

### setElements

    public void setElements(UserDesc[] elements)

  Sets the elements value for this UserDescs.

  Parameters:
    `elements` -

### getElements

    public UserDesc getElements(int i)

### setElements

    public void setElements(int i,
                            UserDesc _value)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.